### Namespace

# EvinceView – 4.0

Evince is a document viewer for multiple document formats.

Version | 49.alpha
Authors | Evince Developers
License | GPL-2-or-later
Website | https://wiki.gnome.org/Apps/Evince
Source | https://gitlab.gnome.org/GNOME/evince/

#### Build

pkg-config files | `evince-view-4.0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Pango—1.0 | Text shaping and rendering
| Browse documentation
Graphene—1.0 | A thin layer of mathematical types for 3D libraries
| Browse documentation

#### Additional documentation

- Profiling
- Classes Hierarchy

#### Classes

DocumentModel |
Job |
JobAnnots |
JobAttachments |
JobExport |
JobFind |
JobFonts |
JobLayers |
JobLinks |
JobLoad |
JobLoadFd | A job class to load a `EvDocument` from a file descriptor referring to a regular file. since: 42.0
JobLoadGFile | A job class to load a `EvDocument` from a `GFile`. since: 3.6
JobLoadStream | A job class to load a `EvDocument` from a `GInputStream`. since: 3.6
JobPageData |
JobPrint |
JobRenderCairo |
JobRenderTexture |
JobSave |
JobThumbnailCairo |
JobThumbnailTexture |
PrintOperation |
View |
ViewPresentation |

#### Enumerations

JobPriority |
JobRunMode |
PageLayout |
SizingMode |

#### Bitfields

JobPageDataFlags |

#### Function Macros

JOB_LOAD_FD |
JOB_LOAD_FD_CLASS |
JOB_LOAD_GFILE |
JOB_LOAD_GFILE_CLASS |